[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.DeleteColRow

Deletes the column or row at the specified position.

## Declaration

Source position: valedit.pas line 183

`public procedure TValueListEditor.DeleteColRow(`
`IsColumn: Boolean;`
`index: Integer`
`);`

## Arguments

`IsColumn` |  | True when a column is affected in the method.
`index` |  | Position of the row or column in the control.

## Description

DeleteColRow is a procedure used to delete the column or row at the specified position.

IsColumn indicates whether the action is intended for a column or a row. Index is the ordinal position for the column or row removed in the method.

When IsColumn is True, the DeleteCol method is called. This results in an exception being raised in DeleteCol; columns cannot be removed in TValueListEditor. Otherwise, the DeleteRow method is called to remove the specified row number.

## See also

TValueListEditor.DeleteRow |  | Deletes the row at the specified position.
TValueListEditor.DeleteCol |  | Prevents column deletion in control.